diff a/src/hotspot/share/runtime/continuationJavaClasses.inline.hpp b/src/hotspot/share/runtime/continuationJavaClasses.inline.hpp
--- a/src/hotspot/share/runtime/continuationJavaClasses.inline.hpp
+++ b/src/hotspot/share/runtime/continuationJavaClasses.inline.hpp
@@ -183,6 +183,22 @@
   log_develop_trace(continuations)("%s max_size: %d -> %d", value >= old ? "add" : "sub", old, value);
 #endif
   chunk->int_field_put(_maxThawingSize_offset, value);
 }
 
+inline uint8_t jdk_internal_vm_StackChunk::lockStackSize(oop chunk) {
+  return Atomic::load(chunk->field_addr<uint8_t>(_lockStackSize_offset));
+}
+
+inline void jdk_internal_vm_StackChunk::set_lockStackSize(oop chunk, uint8_t value) {
+  Atomic::store(chunk->field_addr<uint8_t>(_lockStackSize_offset), value);
+}
+
+inline address jdk_internal_vm_StackChunk::objectWaiter(oop chunk) {
+  return chunk->address_field(_objectWaiter_offset);
+}
+
+inline void jdk_internal_vm_StackChunk::set_objectWaiter(oop chunk, address value) {
+  chunk->address_field_put(_objectWaiter_offset, value);
+}
+
 #endif // SHARE_RUNTIME_CONTINUATIONJAVACLASSES_INLINE_HPP
